Class List Method List File List

# Class: Concurrent::Channel::Buffer::Ticker

Inherits:
  Timer
  - Object
  - Synchronization::LockableObject
  - Base
  - Timer
  - Concurrent::Channel::Buffer::Ticker
  show all
Defined in:
  lib/concurrent/channel/buffer/ticker.rb

## Instance Attribute Summary (collapse)

- - (undocumented) capacity inherited from Base readonly

  The maximum number of values which can be Concurrent::Channel::Buffer::Timer#put onto the buffer it becomes full.

## Constructor Details

This class inherits a constructor from Concurrent::Channel::Buffer::Base

## Instance Attribute Details

### - (`undocumented`) capacity Originally defined in class Base

The maximum number of values which can be #put onto the buffer it becomes full.